libdatrie 0.2.13

Data Fields
_TrieIterator Struct Reference

TrieIterator structure. More...

## Data Fields
const TrieState * | root
TrieState * | state
TrieString * | key

## Detailed Description

TrieIterator structure.

## Field Documentation

## ◆ key

TrieString* _TrieIterator::key

buffer for calculating the entry key

## ◆ root

const TrieState* _TrieIterator::root

the state to start iteration from

## ◆ state

TrieState* _TrieIterator::state

the current state

The documentation for this struct was generated from the following file:

- datrie/trie.c